ooo-build r12279 - in trunk: . bin
- From: thorstenb svn gnome org
- To: svn-commits-list gnome org
- Subject: ooo-build r12279 - in trunk: . bin
- Date: Tue, 22 Apr 2008 12:19:03 +0100 (BST)
Author: thorstenb
Date: Tue Apr 22 11:19:03 2008
New Revision: 12279
URL: http://svn.gnome.org/viewvc/ooo-build?rev=12279&view=rev
Log:
* bin/cws-extract: defaults to DEV300 code line now, tries to
detect cws tag name automagically
Modified:
trunk/ChangeLog
trunk/bin/cws-extract
Modified: trunk/bin/cws-extract
==============================================================================
--- trunk/bin/cws-extract (original)
+++ trunk/bin/cws-extract Tue Apr 22 11:19:03 2008
@@ -16,7 +16,7 @@
my $cws = shift @ARGV;
my $cvsroot = "";
my $onepermodule = "false";
-my $mws = "SRC680";
+my $mws = "DEV300";
if (!defined $cws || $cws eq "-h" || $cws eq "--help") {
usage();
}
@@ -57,10 +57,32 @@
my @mod_list = split (/ /, $modules);
print STDERR "Modules: '" . join (",", @mod_list) . "'\n";
-for my $module (@mod_list) {
- my $tag = "cws_" . lc($mws) . "_$cws";
- my $anchor = uc ("$tag" . "_ANCHOR");
+my $tag = "cws_" . lc($mws) . "_$cws";
+my $anchor = uc ("$tag" . "_ANCHOR");
+
+print STDERR "Detecting cws tag:";
+if( @mod_list != 0 )
+{
+ my $line, $found_orig_mws = $mws;
+ open TAGS, "cvs -d '$cvsroot' log '$mod_list[0]' 2>/dev/null |" || die "Cannot read cvs log";
+ while (<TAGS>)
+ {
+ if( ($found_orig_mws) = m/cws_(.*)_$cws/ )
+ {
+ if( $found_orig_mws ne $mws )
+ {
+ # mws and tag differ - update
+ $tag = "cws_" . lc($found_orig_mws) . "_$cws";
+ $anchor = uc ("$tag" . "_ANCHOR");
+ }
+ last;
+ }
+ }
+ close(TAGS);
+}
+print STDERR " $tag\n";
+for my $module (@mod_list) {
my $tmp = tempdir ("$tag.XXXXXX", CLEANUP => 1);
print STDERR "Using temp directory: $tmp\n";
[
Date Prev][
Date Next] [
Thread Prev][
Thread Next]
[
Thread Index]
[
Date Index]
[
Author Index]